# YACC (Yet another case converter) [![PyPI version](https://badge.fury.io/py/yascc.svg)](https://badge.fury.io/py/yascc)

Just wanted to shave off extra seconds from standard regex based camelcase to snakecase conversion implementation

```
pip install yascc
```

example usage:

```
>>> from yascc import camelcase
>>> camelcase.to_snake_case('yetAnotherCaseConverter')
'yet_another_case_converter'
>>> from yascc import snakecase
>>> snakecase.to_camel_case('yet_another_case_converter')
'yetAnotherCaseConverter'
>>>
```

benchmarks (against drf implementation of camelization):
```

-------------------------------------------------------------------------------------------------------- benchmark: 8 tests --------------------------------------------------------------------------------------------------------
Name (time in ns)                               Min                     Max                   Mean                StdDev                 Median                 IQR             Outliers  OPS (Kops/s)            Rounds  Iterations
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
test_camelize_benchmark[c]                 491.6481 (1.0)        4,435.4500 (1.0)         515.3419 (1.0)         29.1022 (1.0)         512.5010 (1.0)        4.1502 (1.0)      822;11927    1,940.4595 (1.0)       89222          20
test_decamelize_benchmark[c]               491.6976 (1.00)       5,458.3012 (1.23)        522.3940 (1.01)        41.7385 (1.43)        520.7956 (1.02)       4.2026 (1.01)     886;28214    1,914.2640 (0.99)     143719          10
test_camelize_list_benchmark[c]          1,290.9877 (2.63)      45,375.0254 (10.23)     1,547.4456 (3.00)       260.7804 (8.96)      1,541.0478 (3.01)      84.0519 (20.25)     746;3118      646.2263 (0.33)     199999           1
test_decamelize_list_benchmark[c]        1,290.9877 (2.63)      21,416.9850 (4.83)      1,481.9966 (2.88)       208.6907 (7.17)      1,458.9750 (2.85)     123.9823 (29.87)      635;287      674.7654 (0.35)     111111           1
test_decamelize_benchmark[drf]           2,624.9909 (5.34)      96,415.9844 (21.74)     2,873.2510 (5.58)       749.4008 (25.75)     2,834.0146 (5.53)      83.0041 (20.00)     164;2322      348.0378 (0.18)      44362           1
test_camelize_benchmark[drf]             5,625.0137 (11.44)    104,458.0131 (23.55)     6,013.9824 (11.67)      820.0439 (28.18)     5,959.0093 (11.63)     83.0623 (20.01)     259;6845      166.2792 (0.09)      49690           1
test_camelize_list_benchmark[drf]       14,666.0022 (29.83)    113,166.9851 (25.51)    15,629.8130 (30.33)    1,546.4017 (53.14)    15,500.0016 (30.24)    208.0342 (50.13)     149;3798       63.9803 (0.03)      26088           1
test_decamelize_list_benchmark[drf]     27,166.9705 (55.26)    105,999.9922 (23.90)    28,584.6987 (55.47)    2,122.0243 (72.92)    28,292.0082 (55.20)    375.9633 (90.59)      76;1081       34.9838 (0.02)       3883           1
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
```
